LibreOffice Writer 3.4.2: Can't select pages to print

Hi,

My setup:
openSUSE 11.4, 64 bit
KDE 4.7.2
Epson Stylus Photo PX710W (Latest driver from Avasys)
LibreOffice 3.4.2
What else… ?

I have just discovered that I can’t select what pages to print in the print dialog. I can’t tell when that option disapeared, I only know that it worked during the summer.

Anyone else seen this?

/Anders

Not seeing this.

If you export to pdf
Can you print with your pdf reader?

What exactly do you mean? At the moment you cannot select a comma separated list but I can select a continuous sequence. For anything more complicated I export to pdf and use Okular.

Looking again
SUSE Paste

This is what it looks like for me:
SUSE Paste
(Sorry that it’s in swedish. I can only select no of copies.)

If I open the same file in abiword I’m able to choose what pages to print.

/Anders

If exported to pdf I can print a range from okular.

/Anders

But the printer seems to be working Ok?
So is it office or the printer at fault? Couple of things to try.

Rename .libreoffice to .libreoffice-old
Now try Office again

Or

Before now I have used CUPS web interface http://localhost:631/
Login is root and root password
Delete any printers in there and setup again

Did you install LibreOffice from an openSUSE repo?

software.opensuse.org: Search Results

Exactly the same problem on 2 machines with OS 11.4 and LO 3.4.2. I switched back to LibreOffice-3.3.1.2 on both machines and the dialog is there again.

I checked all my installs now
All have 3.4 installed from the Updates (Not OBS)
All work. Both _64 and x86, Gnome or KDE

Same here. I have the x86_64 package installed without issue.

This

zypper wp libreoffice

gives

S | Name        | Type    | Version       | Arch   | Repository                      
--+-------------+---------+---------------+--------+---------------------------------
i | libreoffice | package | 3.4.2.6-2.3.1 | x86_64 | Updates for openSUSE 11.4 11.4-0
v | libreoffice | package | 3.3.1.2-1.2.2 | x86_64 | openSUSE-11.4-11.4-0            
v | libreoffice | package | 3.4.2.6-2.3.1 | i586   | Updates for openSUSE 11.4 11.4-0
v | libreoffice | package | 3.3.1.2-1.2.2 | i586   | openSUSE-11.4-11.4-0 

For reference

 rpm -qa|grep libre
libreoffice-icon-theme-hicontrast-3.4.2.6-1.3.1.noarch
libreoffice-writer-3.4.2.6-2.3.1.x86_64
libreoffice-templates-labels-letter-1.0.1-0.2.1.noarch
libreoffice-branding-openSUSE-3.3.1-1.2.1.noarch
libreoffice-icon-theme-galaxy-3.4.2.6-1.3.1.noarch
libreoffice-calc-3.4.2.6-2.3.1.x86_64
libreoffice-mailmerge-3.4.2.6-2.3.1.x86_64
libreoffice-converter-3.3-1.4.1.noarch
libreoffice-3.4.2.6-2.3.1.x86_64
libreoffice-pyuno-3.4.2.6-2.3.1.x86_64
libreoffice-writer-extensions-3.4.2.6-2.3.1.x86_64
libreoffice-thesaurus-en-GB-20051128-6.1.noarch
libredland0-1.0.12-3.1.x86_64
libreoffice-icon-theme-oxygen-3.4.2.6-1.3.1.noarch
libreoffice-draw-3.4.2.6-2.3.1.x86_64
libreoffice-impress-3.4.2.6-2.3.1.x86_64
libreoffice-impress-extensions-3.4.2.6-2.3.1.x86_64
libreoffice-templates-labels-a4-1.0.1-0.2.1.noarch
libreiserfs-0.3.0.5-152.1.x86_64
libreoffice-math-3.4.2.6-2.3.1.x86_64
libreoffice-calc-extensions-3.4.2.6-2.3.1.x86_64
libreoffice-help-en-GB-3.4.2.6-2.3.1.noarch
libreoffice-base-extensions-3.4.2.6-2.3.1.x86_64
libreoffice-templates-presentation-layouts-3.3-0.2.2.noarch
libreoffice-hyphen-20110203-4.1.noarch
libreadline6-6.1-18.25.1.x86_64
libdjvulibre21-3.5.23-3.4.x86_64
libreoffice-icon-theme-crystal-3.4.2.6-1.3.1.noarch
libreoffice-base-3.4.2.6-2.3.1.x86_64
libreoffice-kde4-3.4.2.6-2.3.1.x86_64
libreoffice-base-drivers-mysql-3.4.2.6-2.3.1.x86_64
libreoffice-templates-en-3.3-0.2.2.noarch
libreoffice-l10n-en-GB-3.4.2.6-1.3.1.noarch
libreoffice-filters-optional-3.4.2.6-2.3.1.x86_64
libreoffice-help-en-US-3.4.2.6-2.3.1.noarch
libreoffice-draw-extensions-3.4.2.6-2.3.1.x86_64

Just check 12.1 too
And all is good

Here are the working options in LO 3.3.1.2:

SUSE Paste

After reading the articles here I decided to use “Upgrade” in Yast to get LO 3.4.2.6.

Here are the missing options in LO 3.4.2.6:

SUSE Paste

Here are the packages after the “Security upgrade”:

SUSE Paste

It’s a minor problem - I can export selected pages to a .pdf.

Same here. Went back to 3.3 and I could select region and selected pages again.

/Anders

Hi there. The problem is that your particular localisation team hasn’t got around to translating that part of the interface yet. Unlike other software, where non-localised strings just appear in the original language, LibreOffice seems to hide them altogether.

The work around is to go to Tools ➤ Options… ➤ Language Settings ➤ Languages. Obviously all this will be in your local language at first, here’s a screenshot of where you should end up, for reference: http://paste.opensuse.org/90753531. Once there, change the interface language (i.e., the top drop-down list) to English, or to any other language which has been fully localised, and restart LibreOffice.

Obviously this is not ideal, but a stopgap measure while the translators catch up. There is a bug already in LibreOffice’s Bugzilla (sorry, can’t find it now!)

Ah, brilliant! Now it’s working again. Was not the most obvious work around I think.

/Anders

Thanks for a good explanation of the bug and a workaround.

The selection option only activate if you select some text fist.